package com.zt.controller;

import com.zt.dto.OrderDto;
import com.zt.pojo.ZkOrder;
import com.zt.service.ZkOrderService;
import com.zt.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.logging.Handler;

@RestController
@RequestMapping("order")
public class OrderController {
    @Autowired
    ZkOrderService orderService;
    @RequestMapping("addOrder")
    public Result addOrder(@RequestBody OrderDto orderDto, HttpServletRequest request) {
        String token = request.getHeader("token");
        return orderService.addOrder(orderDto,token);
    }
}
