package com.zt.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 
 * @TableName coupon
 */
@TableName(value ="coupon")
@Data
public class Coupon implements Serializable {
    /**
     * 雪花id
     */
    @TableId
    private Long id;

    /**
     * 优惠券名称
     */
    private String name;

    /**
     * 面值
     */
    private BigDecimal faceValue;

    /**
     * 条件
     */
    private BigDecimal terms;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}