package com.zt.pojo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 
 * @TableName goods_sku
 */
@TableName(value ="goods_sku")
@Data
public class GoodsSku implements Serializable {
    /**
     * 雪花id
     */
    @TableId
    private Long skuId;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * 数量
     */
    private Integer num;

    /**
     * 售价
     */
    private BigDecimal price;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}