package com.zt.enums;

public enum CodeEnums {
    SUCCESS(200, "操作成功"),
    ACCOUNT_PASSWORD_NOT_EXIST(400, "账号或密码不正确"),
    FAIL(400, "操作失败");
    private Integer code;
    private String msg;

    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    CodeEnums(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
