package com.zt.vo;

import com.zt.enums.CodeEnums;
import lombok.Data;

@Data
public class Result {
    private Integer code;
    private String msg;
    private Object data;

    public static Result ok(CodeEnums codeEnums) {
    	Result result = new Result();
    	result.setCode(codeEnums.getCode());
    	result.setMsg(codeEnums.getMsg());
    	return result;
    }
    public static Result ok(CodeEnums codeEnums,Object data) {
    	Result result = new Result();
    	result.setCode(codeEnums.getCode());
    	result.setMsg(codeEnums.getMsg());
        result.setData(data);
    	return result;
    }
    public static Result error(CodeEnums codeEnums) {
        Result result = new Result();
        result.setCode(codeEnums.getCode());
        result.setMsg(codeEnums.getMsg());
        return result;
    }
}
